%define src_ver 1.2.1
%define languagelocal svenska
%define languageeng swedish
%define languagecode sv

Summary: 	Swedish files for ispell
Name: 		ispell-%{languagecode} 
Version: 	%{src_ver}
Release: 	9mdk
URL: 		http://www.sslug.dk/locale/ispell/iswedish/svenska.html
Source:		http://www.sslug.dk/locale/ispell/iswedish/iswedish-%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: iswedish
Obsoletes: ispell-swedish

%description
ispell-sv has the spelling data for Swedish which is used by
the ispell program. With this extension, you can compose a document
in Swedish and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n iswedish-%{src_ver}
mv -f svenska.datalista %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING Copyright LaeSMIG *.html
%{_prefix}/lib/ispell/*

%changelog
* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.1-9mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.1-8mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.1-7mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-6mdk
- rebuild for new ispell

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.2.1-5mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.2.1-4mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-3mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
